package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.sysmgr.api.domain.dto.YcqMessageTemplateDTO;
import com.crunii.micro.service.sysmgr.api.domain.dto.YcqPageMessageTemplateDTO;
import com.crunii.micro.service.sysmgr.api.domain.vo.YcqMessageTemplateVO;
import com.crunii.micro.service.sysmgr.api.domain.vo.YcqTemplateCodeVO;

import java.util.List;

public interface YcqMessageTemplateService {
    YcqMessageTemplateVO insert(YcqMessageTemplateDTO dto, Worker worker);

    YcqMessageTemplateVO update(YcqMessageTemplateDTO dto, Integer loginId);

    YcqMessageTemplateVO updateStatus(YcqMessageTemplateDTO dto, Integer loginId);

    boolean deleteBatch(List<Long> ids, Integer loginId);

    PageRsp<YcqMessageTemplateVO> pageByCondition(PageReq<YcqPageMessageTemplateDTO> req, Integer loginId);

    List<YcqTemplateCodeVO> pageTemplateCode();
}
